This page is no longer maintained — Please continue to the home page at www.scala-lang.org

Problem installing Eclipse plugin v2.0, beta2

1 reply
Peter C. Chapin 2
Joined: 2011-01-07,
User offline. Last seen 42 years 45 weeks ago.

I’m attempting to install the latest beta of the Eclipse plugin v2.0. I’m using the update site of:

 

http://download.scala-ide.org/releases/wip_experiment-2.0.0-beta2

 

Everything seems to go smoothly at first, but then about half way through the download process I’m told that an error occurred. The “details” are as shown below. It sounds like the expected files are not being found. Is this a problem with the update site or is it something on my end?

 

Peter

 

An error occurred while collecting items to be installed

session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

Problems downloading artifact: org.eclipse.update.feature,ch.epfl.lamp.sdt,2.8.0.scala-ide-upgrade.

MD5 hash is not as expected. Expected: 35969d04172255be624f4ed2098f1eb5 and found 85cbb9b949f115b0845b977428ec9bd8.

No repository found containing: osgi.bundle,org.aspectj.runtime,1.6.12.20110404113900

No repository found containing: osgi.bundle,org.aspectj.weaver,1.6.12.20110404113900

Problems downloading artifact: org.eclipse.update.feature,org.eclipse.contribution.weaving,1.6.4.scala-ide-upgrade.

MD5 hash is not as expected. Expected: 11c879cc6b845946a9c77d7344560e33 and found 1e78c729f5d26b893658a255a8f1aa5c.

No repository found containing: osgi.bundle,org.eclipse.contribution.weaving.jdt,2.1.3.e36x-20110404-2200

No repository found containing: osgi.bundle,org.scala-ide.scala.compiler,2.9.0.r24747-b20110413101932

No repository found containing: osgi.bundle,org.scala-ide.scala.library,2.9.0.r24747-b20110413101932

No repository found containing: osgi.bundle,org.scala-ide.sdt.aspects,2.0.0.201104141128-beta2-400c8a1

No repository found containing: osgi.bundle,org.scala-ide.sdt.core,2.0.0.201104141128-beta2-400c8a1

No repository found containing: org.eclipse.update.feature,org.scala-ide.sdt.feature,2.0.0.201104141128-beta2-400c8a1

No repository found containing: org.eclipse.update.feature,org.scala-ide.sdt.weaving.feature,2.0.0.201104141128-beta2-400c8a1

No repository found containing: osgi.bundle,org.scala-refactoring.library,0.3.0.201104140448

No repository found containing: osgi.bundle,scalariform,0.1.0.201104140451

 

iulian dragos 3
Joined: 2011-02-21,
User offline. Last seen 42 years 45 weeks ago.
Re: Problem installing Eclipse plugin v2.0, beta2
Hi Peter,
The update site worked fine for me (and many others) yesterday, but I did see one user report this error. Google also reveals others having similar transient errors that an Eclipse restart usually fixes. It may be a network glitch. I'm sorry I can't be more helpful.
cheers,iulian

On Fri, Apr 15, 2011 at 1:35 AM, Peter C. Chapin <PChapin [at] vtc [dot] vsc [dot] edu> wrote:

I’m attempting to install the latest beta of the Eclipse plugin v2.0. I’m using the update site of:

 

http://download.scala-ide.org/releases/wip_experiment-2.0.0-beta2

 

Everything seems to go smoothly at first, but then about half way through the download process I’m told that an error occurred. The “details” are as shown below. It sounds like the expected files are not being found. Is this a problem with the update site or is it something on my end?

 

Peter

 

An error occurred while collecting items to be installed

session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

Problems downloading artifact: org.eclipse.update.feature,ch.epfl.lamp.sdt,2.8.0.scala-ide-upgrade.

MD5 hash is not as expected. Expected: 35969d04172255be624f4ed2098f1eb5 and found 85cbb9b949f115b0845b977428ec9bd8.

No repository found containing: osgi.bundle,org.aspectj.runtime,1.6.12.20110404113900

No repository found containing: osgi.bundle,org.aspectj.weaver,1.6.12.20110404113900

Problems downloading artifact: org.eclipse.update.feature,org.eclipse.contribution.weaving,1.6.4.scala-ide-upgrade.

MD5 hash is not as expected. Expected: 11c879cc6b845946a9c77d7344560e33 and found 1e78c729f5d26b893658a255a8f1aa5c.

No repository found containing: osgi.bundle,org.eclipse.contribution.weaving.jdt,2.1.3.e36x-20110404-2200

No repository found containing: osgi.bundle,org.scala-ide.scala.compiler,2.9.0.r24747-b20110413101932

No repository found containing: osgi.bundle,org.scala-ide.scala.library,2.9.0.r24747-b20110413101932

No repository found containing: osgi.bundle,org.scala-ide.sdt.aspects,2.0.0.201104141128-beta2-400c8a1

No repository found containing: osgi.bundle,org.scala-ide.sdt.core,2.0.0.201104141128-beta2-400c8a1

No repository found containing: org.eclipse.update.feature,org.scala-ide.sdt.feature,2.0.0.201104141128-beta2-400c8a1

No repository found containing: org.eclipse.update.feature,org.scala-ide.sdt.weaving.feature,2.0.0.201104141128-beta2-400c8a1

No repository found containing: osgi.bundle,org.scala-refactoring.library,0.3.0.201104140448

No repository found containing: osgi.bundle,scalariform,0.1.0.201104140451

 


Copyright © 2012 École Polytechnique Fédérale de Lausanne (EPFL), Lausanne, Switzerland